org.apache.lucene.analysis.ja.tokenattributes

## Class PartOfSpeechAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.ja.tokenattributes.PartOfSpeechAttributeImpl

All Implemented Interfaces:
  Cloneable, PartOfSpeechAttribute, Attribute

    public class PartOfSpeechAttributeImpl
    extends AttributeImpl
    implements PartOfSpeechAttribute, Cloneable

Attribute for `Token.getPartOfSpeech()`.

### Constructor Summary

Constructors
Constructor and Description
`PartOfSpeechAttributeImpl()`

### Method Summary

Methods
`void` `clear()`
`void` `copyTo(AttributeImpl target)`
`String` `getPartOfSpeech()`
`void` `reflectWith(AttributeReflector reflector)`
`void` `setToken(Token token)`

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, reflectAsString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartOfSpeechAttributeImpl

    public PartOfSpeechAttributeImpl()

### Method Detail

#### getPartOfSpeech

    public String getPartOfSpeech()

Specified by:
  `getPartOfSpeech` in interface `PartOfSpeechAttribute`

#### setToken

    public void setToken(Token token)

Specified by:
  `setToken` in interface `PartOfSpeechAttribute`

#### clear

    public void clear()

Specified by:
  `clear` in class `AttributeImpl`

#### copyTo

    public void copyTo(AttributeImpl target)

Specified by:
  `copyTo` in class `AttributeImpl`

#### reflectWith

    public void reflectWith(AttributeReflector reflector)

Overrides:
  `reflectWith` in class `AttributeImpl`